List webhook endpoints
GET
/webhooks
const url = 'https://apisandbox.puurk.com/webhooks';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://apisandbox.puurk.com/webhooks \ --header 'Authorization: Bearer <token>'Returns the webhook endpoints registered for the partner
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Successful operation
Media typeapplication/json
Array<object>
object
id
string
partner_id
string
url
Destination URL for webhook deliveries
string
secret
Signing secret for webhook payloads
string
events
Event types this endpoint subscribes to
Array<string>
active
boolean
created_at
string format: date-time
updated_at
string format: date-time
Examplegenerated
[ { "id": "example", "partner_id": "example", "url": "example", "secret": "example", "events": [ "example" ], "active": true, "created_at": "2026-04-15T12:00:00Z", "updated_at": "2026-04-15T12:00:00Z" }]Unauthorized